 function xmgethtml(xmurl,obj,xx) {
	       var xmcode;
                try {
                    xhr = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    try {
                        xhr = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (E) {
                        xhr = false;
                    }
                }

                if (!xhr && typeof XMLHttpRequest != 'undefined') {
                      xhr = new XMLHttpRequest();
                }

                xhr.open("GET",xmurl+"&randomid="+Math.random()*100);
                xhr.setRequestHeader("User-Agent", "my browser");
				
                xhr.onreadystatechange=function() {
                    if (xhr.readyState != 4){
						if (xhr.readyState <=3){
						  document.getElementById(obj).innerHTML = (xx)+"/"+(ppp.length-1)+"&nbsp;&nbsp;"+"正在加载...";
						}else{
						  document.getElementById(obj).innerHTML = "加载出错，请重试，重新加载..";
						}
						
					}else{  
					  if (xhr.status == 200) { 
					  xmcode=convertstr(xhr.responseBody);
					  //xmcode=xhr.responseBody;
					  document.getElementById(obj).innerHTML =(xx)+"/"+(ppp.length-1)+"&nbsp;&nbsp;"+ xmcode;
					  if(xx != ppp.length-1){
					  window.setTimeout("startget("+xx+")",200);
					  }else{
						document.getElementById(obj).innerHTML =(xx)+"/"+(ppp.length-1)+"&nbsp;&nbsp;生成完成";
					  }
					  
					  }
					}
                }
				
                xhr.send(null);
}
        